Cyberduck Mountain Duck CLI

#10568 closed defect (fixed)

Unable to delete incomplete multipart upload

Reported by: Tony T Owned by: dkocher
Priority: normal Milestone: 6.9.0
Component: s3 Version: 6.8.3
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description (last modified by dkocher)

If a transfer is interrupted (i.e. ctrl-c with the AWS CLI), AWS S3 will have hidden files that cannot be deleted with Cyberduck (or with AWS).

  1. Started a transfer to AWS S3 in with AWS CLI of a Folder with 10 files:

aws s3 cp ~/Desktop/Test s3://tonystest1 --recursive

  1. Interrupt AWS CLI transfer with ctrl-c
  2. Open Cyberduck.
  3. Cannot delete the hidden files left from the interrupted transfer.
  4. CyberDuck Info on the file returns the error: "Failure to read attributes of Test7.pdf. Invalid version id specified"

Screenshots Attached.

Attachments (1)

Screen Shot 2019-01-05 at 11.41.43 AM.png (134.5 KB) - added by Tony T on Jan 5, 2019 at 4:42:17 PM.

Download all attachments as: .zip

Change History (5)

comment:1 Changed on Jan 13, 2019 at 9:17:15 PM by dkocher

  • Owner set to dkocher
  • Status changed from new to assigned
  • Summary changed from Unable to Delete AWS S3 Hidden Files (after interrupted transfer) to Unable to delete incomplete multipart upload

The file is possibly an incomplete multipart upload but we try to delete a file by version ID instead of the multipart upload id.

comment:2 Changed on Jan 13, 2019 at 9:38:47 PM by dkocher

  • Description modified (diff)

comment:3 Changed on Jan 15, 2019 at 4:34:47 PM by dkocher

  • Milestone set to 6.9.0

comment:4 Changed on Jan 16, 2019 at 7:23:08 AM by yla

  • Resolution set to fixed
  • Status changed from assigned to closed

In r46075.

Note: See TracTickets for help on using tickets.
swiss made software